// Copyright 2021 Entanglement Garden Developers
// SPDX-License-Identifier: AGPL-3.0-only

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.12.4
// source: rhyzome_protos/openwrt.proto

package rhyzome_protos

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type OpenwrtEventUpdate_Type int32

const (
	OpenwrtEventUpdate_ASYNC   OpenwrtEventUpdate_Type = 0 // ASYNC type for async updates not triggered by a server-side event. Please help me think of a better name. Also currently unused
	OpenwrtEventUpdate_STARTED OpenwrtEventUpdate_Type = 1
	OpenwrtEventUpdate_UPDATE  OpenwrtEventUpdate_Type = 2
	OpenwrtEventUpdate_SUCCESS OpenwrtEventUpdate_Type = 3
	OpenwrtEventUpdate_FAILED  OpenwrtEventUpdate_Type = 4
)

// Enum value maps for OpenwrtEventUpdate_Type.
var (
	OpenwrtEventUpdate_Type_name = map[int32]string{
		0: "ASYNC",
		1: "STARTED",
		2: "UPDATE",
		3: "SUCCESS",
		4: "FAILED",
	}
	OpenwrtEventUpdate_Type_value = map[string]int32{
		"ASYNC":   0,
		"STARTED": 1,
		"UPDATE":  2,
		"SUCCESS": 3,
		"FAILED":  4,
	}
)

func (x OpenwrtEventUpdate_Type) Enum() *OpenwrtEventUpdate_Type {
	p := new(OpenwrtEventUpdate_Type)
	*p = x
	return p
}

func (x OpenwrtEventUpdate_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (OpenwrtEventUpdate_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_rhyzome_protos_openwrt_proto_enumTypes[0].Descriptor()
}

func (OpenwrtEventUpdate_Type) Type() protoreflect.EnumType {
	return &file_rhyzome_protos_openwrt_proto_enumTypes[0]
}

func (x OpenwrtEventUpdate_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use OpenwrtEventUpdate_Type.Descriptor instead.
func (OpenwrtEventUpdate_Type) EnumDescriptor() ([]byte, []int) {
	return file_rhyzome_protos_openwrt_proto_rawDescGZIP(), []int{0, 0}
}

type OpenwrtEventUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EventId string                  `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	Type    OpenwrtEventUpdate_Type `protobuf:"varint,2,opt,name=type,proto3,enum=protos.OpenwrtEventUpdate_Type" json:"type,omitempty"`
	Message string                  `protobuf:"bytes,3,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *OpenwrtEventUpdate) Reset() {
	*x = OpenwrtEventUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_openwrt_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OpenwrtEventUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OpenwrtEventUpdate) ProtoMessage() {}

func (x *OpenwrtEventUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_openwrt_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OpenwrtEventUpdate.ProtoReflect.Descriptor instead.
func (*OpenwrtEventUpdate) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_openwrt_proto_rawDescGZIP(), []int{0}
}

func (x *OpenwrtEventUpdate) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *OpenwrtEventUpdate) GetType() OpenwrtEventUpdate_Type {
	if x != nil {
		return x.Type
	}
	return OpenwrtEventUpdate_ASYNC
}

func (x *OpenwrtEventUpdate) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type OpenwrtEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EventId       string     `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	AllNetworks   []*Network `protobuf:"bytes,2,rep,name=all_networks,json=allNetworks,proto3" json:"all_networks,omitempty"`
	CreateNetwork *Network   `protobuf:"bytes,3,opt,name=create_network,json=createNetwork,proto3" json:"create_network,omitempty"`
	DeleteNetwork *Network   `protobuf:"bytes,4,opt,name=delete_network,json=deleteNetwork,proto3" json:"delete_network,omitempty"`
}

func (x *OpenwrtEvent) Reset() {
	*x = OpenwrtEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_openwrt_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OpenwrtEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OpenwrtEvent) ProtoMessage() {}

func (x *OpenwrtEvent) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_openwrt_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OpenwrtEvent.ProtoReflect.Descriptor instead.
func (*OpenwrtEvent) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_openwrt_proto_rawDescGZIP(), []int{1}
}

func (x *OpenwrtEvent) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *OpenwrtEvent) GetAllNetworks() []*Network {
	if x != nil {
		return x.AllNetworks
	}
	return nil
}

func (x *OpenwrtEvent) GetCreateNetwork() *Network {
	if x != nil {
		return x.CreateNetwork
	}
	return nil
}

func (x *OpenwrtEvent) GetDeleteNetwork() *Network {
	if x != nil {
		return x.DeleteNetwork
	}
	return nil
}

type Network struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	VlanId     int32  `protobuf:"varint,2,opt,name=vlan_id,json=vlanId,proto3" json:"vlan_id,omitempty"`
}

func (x *Network) Reset() {
	*x = Network{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_openwrt_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Network) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Network) ProtoMessage() {}

func (x *Network) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_openwrt_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Network.ProtoReflect.Descriptor instead.
func (*Network) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_openwrt_proto_rawDescGZIP(), []int{2}
}

func (x *Network) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

func (x *Network) GetVlanId() int32 {
	if x != nil {
		return x.VlanId
	}
	return 0
}

var File_rhyzome_protos_openwrt_proto protoreflect.FileDescriptor

var file_rhyzome_protos_openwrt_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x72, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x2f, 0x6f, 0x70, 0x65, 0x6e, 0x77, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x22, 0xc3, 0x01, 0x0a, 0x12, 0x4f, 0x70, 0x65, 0x6e, 0x77,
	0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x19, 0x0a,
	0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e,
	0x4f, 0x70, 0x65, 0x6e, 0x77, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a,
	0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x43, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x09, 0x0a, 0x05, 0x41, 0x53, 0x59, 0x4e, 0x43, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x54,
	0x41, 0x52, 0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x55, 0x50, 0x44, 0x41, 0x54,
	0x45, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x55, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x03,
	0x12, 0x0a, 0x0a, 0x06, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x04, 0x22, 0xcd, 0x01, 0x0a,
	0x0c, 0x4f, 0x70, 0x65, 0x6e, 0x77, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a,
	0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x32, 0x0a, 0x0c, 0x61, 0x6c, 0x6c, 0x5f,
	0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0f,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x52,
	0x0b, 0x61, 0x6c, 0x6c, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x73, 0x12, 0x36, 0x0a, 0x0e,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f, 0x6e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4e, 0x65,
	0x74, 0x77, 0x6f, 0x72, 0x6b, 0x52, 0x0d, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x4e, 0x65, 0x74,
	0x77, 0x6f, 0x72, 0x6b, 0x12, 0x36, 0x0a, 0x0e, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x5f, 0x6e,
	0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x52, 0x0d, 0x64,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x22, 0x43, 0x0a, 0x07,
	0x4e, 0x65, 0x74, 0x77, 0x6f, 0x72, 0x6b, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65,
	0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x76, 0x6c, 0x61, 0x6e,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x76, 0x6c, 0x61, 0x6e, 0x49,
	0x64, 0x32, 0x57, 0x0a, 0x0e, 0x52, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x4f, 0x70, 0x65, 0x6e,
	0x77, 0x72, 0x74, 0x12, 0x45, 0x0a, 0x0b, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x72, 0x65,
	0x61, 0x6d, 0x12, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4f, 0x70, 0x65, 0x6e,
	0x77, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x1a, 0x14,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4f, 0x70, 0x65, 0x6e, 0x77, 0x72, 0x74, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x22, 0x00, 0x28, 0x01, 0x30, 0x01, 0x42, 0x44, 0x5a, 0x42, 0x67, 0x69,
	0x74, 0x2e, 0x63, 0x61, 0x6c, 0x6c, 0x70, 0x69, 0x70, 0x65, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x65,
	0x6e, 0x74, 0x61, 0x6e, 0x67, 0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x61, 0x72, 0x64,
	0x65, 0x6e, 0x2f, 0x72, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x2f, 0x72, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_rhyzome_protos_openwrt_proto_rawDescOnce sync.Once
	file_rhyzome_protos_openwrt_proto_rawDescData = file_rhyzome_protos_openwrt_proto_rawDesc
)

func file_rhyzome_protos_openwrt_proto_rawDescGZIP() []byte {
	file_rhyzome_protos_openwrt_proto_rawDescOnce.Do(func() {
		file_rhyzome_protos_openwrt_proto_rawDescData = protoimpl.X.CompressGZIP(file_rhyzome_protos_openwrt_proto_rawDescData)
	})
	return file_rhyzome_protos_openwrt_proto_rawDescData
}

var file_rhyzome_protos_openwrt_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_rhyzome_protos_openwrt_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_rhyzome_protos_openwrt_proto_goTypes = []interface{}{
	(OpenwrtEventUpdate_Type)(0), // 0: protos.OpenwrtEventUpdate.Type
	(*OpenwrtEventUpdate)(nil),   // 1: protos.OpenwrtEventUpdate
	(*OpenwrtEvent)(nil),         // 2: protos.OpenwrtEvent
	(*Network)(nil),              // 3: protos.Network
}
var file_rhyzome_protos_openwrt_proto_depIdxs = []int32{
	0, // 0: protos.OpenwrtEventUpdate.type:type_name -> protos.OpenwrtEventUpdate.Type
	3, // 1: protos.OpenwrtEvent.all_networks:type_name -> protos.Network
	3, // 2: protos.OpenwrtEvent.create_network:type_name -> protos.Network
	3, // 3: protos.OpenwrtEvent.delete_network:type_name -> protos.Network
	1, // 4: protos.RhyzomeOpenwrt.EventStream:input_type -> protos.OpenwrtEventUpdate
	2, // 5: protos.RhyzomeOpenwrt.EventStream:output_type -> protos.OpenwrtEvent
	5, // [5:6] is the sub-list for method output_type
	4, // [4:5] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_rhyzome_protos_openwrt_proto_init() }
func file_rhyzome_protos_openwrt_proto_init() {
	if File_rhyzome_protos_openwrt_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_rhyzome_protos_openwrt_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OpenwrtEventUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_openwrt_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OpenwrtEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_openwrt_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Network); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_rhyzome_protos_openwrt_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_rhyzome_protos_openwrt_proto_goTypes,
		DependencyIndexes: file_rhyzome_protos_openwrt_proto_depIdxs,
		EnumInfos:         file_rhyzome_protos_openwrt_proto_enumTypes,
		MessageInfos:      file_rhyzome_protos_openwrt_proto_msgTypes,
	}.Build()
	File_rhyzome_protos_openwrt_proto = out.File
	file_rhyzome_protos_openwrt_proto_rawDesc = nil
	file_rhyzome_protos_openwrt_proto_goTypes = nil
	file_rhyzome_protos_openwrt_proto_depIdxs = nil
}
